summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--Makefile.in2
-rw-r--r--c++/Makefile.in2
-rw-r--r--c++/examples/Makefile.in2
-rw-r--r--c++/src/Makefile.in2
-rw-r--r--c++/test/Makefile.in2
-rwxr-xr-xconfigure118
-rw-r--r--configure.in50
-rw-r--r--examples/Makefile.in2
-rw-r--r--fortran/Makefile.in2
-rw-r--r--fortran/examples/Makefile.in2
-rw-r--r--fortran/src/Makefile.am8
-rw-r--r--fortran/src/Makefile.in7
-rw-r--r--fortran/test/Makefile.am8
-rw-r--r--fortran/test/Makefile.in7
-rw-r--r--fortran/testpar/Makefile.in2
-rwxr-xr-xhl/Makefile.in2
-rw-r--r--hl/c++/Makefile.in2
-rw-r--r--hl/c++/src/Makefile.in2
-rw-r--r--hl/c++/test/Makefile.in2
-rw-r--r--hl/fortran/Makefile.in2
-rw-r--r--hl/fortran/src/Makefile.am8
-rw-r--r--hl/fortran/src/Makefile.in7
-rw-r--r--hl/fortran/test/Makefile.am8
-rw-r--r--hl/fortran/test/Makefile.in7
-rw-r--r--hl/src/Makefile.in2
-rw-r--r--hl/test/Makefile.in2
-rw-r--r--hl/tools/gif2h5/Makefile.in2
-rw-r--r--perform/Makefile.in2
-rw-r--r--src/Makefile.in6
-rw-r--r--test/Makefile.in2
-rw-r--r--testpar/Makefile.in2
-rw-r--r--tools/Makefile.in2
-rw-r--r--tools/gifconv/Makefile.in2
-rw-r--r--tools/h5diff/Makefile.in2
-rw-r--r--tools/h5dump/Makefile.in2
-rwxr-xr-xtools/h5import/Makefile.in2
-rw-r--r--tools/h5jam/Makefile.in2
-rw-r--r--tools/h5ls/Makefile.in2
-rw-r--r--tools/h5repack/Makefile.in2
-rw-r--r--tools/lib/Makefile.in2
-rw-r--r--tools/misc/Makefile.in2
41 files changed, 250 insertions, 44 deletions
diff --git a/Makefile.in b/Makefile.in
index dd81ed7..955fd0c 100644
--- a/Makefile.in
+++ b/Makefile.in
@@ -166,6 +166,8 @@ FCFLAGS = @FCFLAGS@
FCLIBS = @FCLIBS@
FFLAGS = @FFLAGS@
FILTERS = @FILTERS@
+FORTRAN_SHARED_CONDITIONAL_FALSE = @FORTRAN_SHARED_CONDITIONAL_FALSE@
+FORTRAN_SHARED_CONDITIONAL_TRUE = @FORTRAN_SHARED_CONDITIONAL_TRUE@
FSEARCH_DIRS = @FSEARCH_DIRS@
H5_VERSION = @H5_VERSION@
HADDR_T = @HADDR_T@
diff --git a/c++/Makefile.in b/c++/Makefile.in
index 06f978a..7582236 100644
--- a/c++/Makefile.in
+++ b/c++/Makefile.in
@@ -136,6 +136,8 @@ FCFLAGS = @FCFLAGS@
FCLIBS = @FCLIBS@
FFLAGS = @FFLAGS@
FILTERS = @FILTERS@
+FORTRAN_SHARED_CONDITIONAL_FALSE = @FORTRAN_SHARED_CONDITIONAL_FALSE@
+FORTRAN_SHARED_CONDITIONAL_TRUE = @FORTRAN_SHARED_CONDITIONAL_TRUE@
FSEARCH_DIRS = @FSEARCH_DIRS@
H5_VERSION = @H5_VERSION@
HADDR_T = @HADDR_T@
diff --git a/c++/examples/Makefile.in b/c++/examples/Makefile.in
index b26b37d..984eeef 100644
--- a/c++/examples/Makefile.in
+++ b/c++/examples/Makefile.in
@@ -128,6 +128,8 @@ FCFLAGS = @FCFLAGS@
FCLIBS = @FCLIBS@
FFLAGS = @FFLAGS@
FILTERS = @FILTERS@
+FORTRAN_SHARED_CONDITIONAL_FALSE = @FORTRAN_SHARED_CONDITIONAL_FALSE@
+FORTRAN_SHARED_CONDITIONAL_TRUE = @FORTRAN_SHARED_CONDITIONAL_TRUE@
FSEARCH_DIRS = @FSEARCH_DIRS@
H5_VERSION = @H5_VERSION@
HADDR_T = @HADDR_T@
diff --git a/c++/src/Makefile.in b/c++/src/Makefile.in
index 75e2228..be6c457 100644
--- a/c++/src/Makefile.in
+++ b/c++/src/Makefile.in
@@ -170,6 +170,8 @@ FCFLAGS = @FCFLAGS@
FCLIBS = @FCLIBS@
FFLAGS = @FFLAGS@
FILTERS = @FILTERS@
+FORTRAN_SHARED_CONDITIONAL_FALSE = @FORTRAN_SHARED_CONDITIONAL_FALSE@
+FORTRAN_SHARED_CONDITIONAL_TRUE = @FORTRAN_SHARED_CONDITIONAL_TRUE@
FSEARCH_DIRS = @FSEARCH_DIRS@
H5_VERSION = @H5_VERSION@
HADDR_T = @HADDR_T@
diff --git a/c++/test/Makefile.in b/c++/test/Makefile.in
index bf82934..02fc2c2 100644
--- a/c++/test/Makefile.in
+++ b/c++/test/Makefile.in
@@ -159,6 +159,8 @@ FCFLAGS = @FCFLAGS@
FCLIBS = @FCLIBS@
FFLAGS = @FFLAGS@
FILTERS = @FILTERS@
+FORTRAN_SHARED_CONDITIONAL_FALSE = @FORTRAN_SHARED_CONDITIONAL_FALSE@
+FORTRAN_SHARED_CONDITIONAL_TRUE = @FORTRAN_SHARED_CONDITIONAL_TRUE@
FSEARCH_DIRS = @FSEARCH_DIRS@
H5_VERSION = @H5_VERSION@
HADDR_T = @HADDR_T@
diff --git a/configure b/configure
index 5d158ca..ac963e8 100755
--- a/configure
+++ b/configure
@@ -467,7 +467,7 @@ ac_includes_default="\
# include <unistd.h>
#endif"
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT build build_cpu build_vendor build_os host host_cpu host_vendor host_os CPPFLAGS HSIZET CC CFLAGS LDFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE HDF5_INTERFACES R_LARGE R_INTEGER HADDR_T HSIZE_T HSSIZE_T HID_T SIZE_T OBJECT_NAMELEN_DEFAULT_F F9XSUFFIXFLAG FSEARCH_DIRS FC FCFLAGS ac_ct_FC F9XMODFLAG F9XMODEXT FCLIBS CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LT_STATIC_EXEC PERL AR EGREP LN_S ECHO ac_ct_AR RANLIB ac_ct_RANLIB CPP F77 FFLAGS ac_ct_F77 LIBTOOL AM_MAKEFLAGS USE_FILTER_DEFLATE USE_FILTER_SZIP BUILD_PDB2HDF BUILD_PDB2HDF_CONDITIONAL_TRUE BUILD_PDB2HDF_CONDITIONAL_FALSE PTHREAD DEBUG_PKG TRACE_API INSTRUMENT_LIBRARY PARALLEL RUNSERIAL RUNPARALLEL TESTPARALLEL ADD_PARALLEL_FILES MPE FILTERS USE_FILTER_SHUFFLE USE_FILTER_FLETCHER32 USE_FILTER_NBIT USE_FILTER_SCALEOFFSET H5_VERSION CONFIG_DATE CONFIG_USER CONFIG_MODE BYTESEX STATIC_SHARED CC_VERSION ROOT DYNAMIC_DIRS HL HL_FOR BUILD_CXX_CONDITIONAL_TRUE BUILD_CXX_CONDITIONAL_FALSE BUILD_PABLO_CONDITIONAL_TRUE BUILD_PABLO_CONDITIONAL_FALSE BUILD_PARALLEL_CONDITIONAL_TRUE BUILD_PARALLEL_CONDITIONAL_FALSE BUILD_FORTRAN_CONDITIONAL_TRUE BUILD_FORTRAN_CONDITIONAL_FALSE BUILD_HDF5_HL_CONDITIONAL_TRUE BUILD_HDF5_HL_CONDITIONAL_FALSE SEARCH SETX LIBOBJS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT build build_cpu build_vendor build_os host host_cpu host_vendor host_os CPPFLAGS HSIZET CC CFLAGS LDFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE HDF5_INTERFACES R_LARGE R_INTEGER HADDR_T HSIZE_T HSSIZE_T HID_T SIZE_T OBJECT_NAMELEN_DEFAULT_F F9XSUFFIXFLAG FSEARCH_DIRS FC FCFLAGS ac_ct_FC F9XMODFLAG F9XMODEXT FCLIBS CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LT_STATIC_EXEC PERL AR FORTRAN_SHARED_CONDITIONAL_TRUE FORTRAN_SHARED_CONDITIONAL_FALSE EGREP LN_S ECHO ac_ct_AR RANLIB ac_ct_RANLIB CPP F77 FFLAGS ac_ct_F77 LIBTOOL AM_MAKEFLAGS USE_FILTER_DEFLATE USE_FILTER_SZIP BUILD_PDB2HDF BUILD_PDB2HDF_CONDITIONAL_TRUE BUILD_PDB2HDF_CONDITIONAL_FALSE PTHREAD DEBUG_PKG TRACE_API INSTRUMENT_LIBRARY PARALLEL RUNSERIAL RUNPARALLEL TESTPARALLEL ADD_PARALLEL_FILES MPE FILTERS USE_FILTER_SHUFFLE USE_FILTER_FLETCHER32 USE_FILTER_NBIT USE_FILTER_SCALEOFFSET H5_VERSION CONFIG_DATE CONFIG_USER CONFIG_MODE BYTESEX STATIC_SHARED CC_VERSION ROOT DYNAMIC_DIRS HL HL_FOR BUILD_CXX_CONDITIONAL_TRUE BUILD_CXX_CONDITIONAL_FALSE BUILD_PABLO_CONDITIONAL_TRUE BUILD_PABLO_CONDITIONAL_FALSE BUILD_PARALLEL_CONDITIONAL_TRUE BUILD_PARALLEL_CONDITIONAL_FALSE BUILD_FORTRAN_CONDITIONAL_TRUE BUILD_FORTRAN_CONDITIONAL_FALSE BUILD_HDF5_HL_CONDITIONAL_TRUE BUILD_HDF5_HL_CONDITIONAL_FALSE SEARCH SETX LIBOBJS LTLIBOBJS'
ac_subst_files=''
# Initialize some variables set by options.
@@ -5822,19 +5822,58 @@ test -z "$INSTALL_SCRIPT" && INSTALL_SCRIPT='${INSTALL}'
test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644'
-if (${CC-cc} -V 2>&1 | grep '^pgcc') > /dev/null; then
+if test "X${enable_shared}" != "Xno" && \
+ (${CC-cc} -V 2>&1 | grep '^pgcc') > /dev/null; then
echo ' warning: shared libraries are not supported for pgcc!'
echo ' disabling shared libraries'
enable_shared="no"
fi
-if test "X$HDF_FORTRAN" = "Xyes" && \
- (${FC} -V 2>&1 | grep '^pgf90') > /dev/null; then
- echo ' warning: shared libraries are not supported for pgf90!'
- echo ' disabling shared libraries'
- enable_shared="no"
+if test "X${HDF_FORTRAN}" = "Xyes" && test "X${enable_shared}" != "Xno"; then
+ H5_FORTRAN_SHARED="yes"
+
+ if (${FC} -V 2>&1 | grep '^pgf90') > /dev/null; then
+ echo " warning: shared libraries are not supported for pgf90!"
+ echo " disabling shared Fortran libraries"
+ H5_FORTRAN_SHARED="no"
+ fi
+
+ if (${FC} -V 2>&1 | grep '^Intel(R) Fortran Compiler') > /dev/null; then
+ echo " warning: shared libraries are not supported for ifort!"
+ echo " disabling shared Fortran libraries"
+ H5_FORTRAN_SHARED="no"
+ fi
+
+ if (${FC} +version 2>&1 | grep '^HP F90') > /dev/null; then
+ echo " warning: shared libraries are not supported for f90!"
+ echo " disabling shared Fortran libraries"
+ H5_FORTRAN_SHARED="no"
+ fi
+
+ if (${FC} -V 2>&1 | grep '^Absoft') > /dev/null; then
+ echo " warning: shared libraries are not supported for Absoft f95!"
+ echo " disabling shared Fortran libraries"
+ H5_FORTRAN_SHARED="no"
+ fi
+
+ if test "X${enable_static}" = "Xno" && test "X${H5_FORTRAN_SHARED}" = "Xno"; then
+ { { echo "$as_me:$LINENO: error: both static and shared Fortran libraries are disabled" >&5
+echo "$as_me: error: both static and shared Fortran libraries are disabled" >&2;}
+ { (exit 1); exit 1; }; }
+ fi
+fi
+
+
+
+if test "X$H5_FORTRAN_SHARED" = "Xyes"; then
+ FORTRAN_SHARED_CONDITIONAL_TRUE=
+ FORTRAN_SHARED_CONDITIONAL_FALSE='#'
+else
+ FORTRAN_SHARED_CONDITIONAL_TRUE='#'
+ FORTRAN_SHARED_CONDITIONAL_FALSE=
fi
+
if (${CC-cc} -V 2>&1 | grep '^pgcc 6.0') > /dev/null && test "X$enable_production" = "Xyes"; then
echo 'adding compiler flag to avoid optimization problem in pgcc'
CC="${CC-cc} -Mx,28,0x8"
@@ -6403,7 +6442,7 @@ ia64-*-hpux*)
;;
*-*-irix6*)
# Find out which ABI we are using.
- echo '#line 6406 "configure"' > conftest.$ac_ext
+ echo '#line 6445 "configure"' > conftest.$ac_ext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
@@ -7533,7 +7572,7 @@ fi
# Provide some information about the compiler.
-echo "$as_me:7536:" \
+echo "$as_me:7575:" \
"checking for Fortran 77 compiler version" >&5
ac_compiler=`set X $ac_compile; echo $2`
{ (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
@@ -8602,11 +8641,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:8605: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:8644: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:8609: \$? = $ac_status" >&5
+ echo "$as_me:8648: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
@@ -8857,11 +8896,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:8860: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:8899: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:8864: \$? = $ac_status" >&5
+ echo "$as_me:8903: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
@@ -8917,11 +8956,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:8920: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:8959: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:8924: \$? = $ac_status" >&5
+ echo "$as_me:8963: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -11189,7 +11228,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 11192 "configure"
+#line 11231 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -11287,7 +11326,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 11290 "configure"
+#line 11329 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -13523,11 +13562,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:13526: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:13565: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:13530: \$? = $ac_status" >&5
+ echo "$as_me:13569: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
@@ -13583,11 +13622,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:13586: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:13625: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:13590: \$? = $ac_status" >&5
+ echo "$as_me:13629: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -15002,7 +15041,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 15005 "configure"
+#line 15044 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -15100,7 +15139,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 15103 "configure"
+#line 15142 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -15955,11 +15994,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:15958: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:15997: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:15962: \$? = $ac_status" >&5
+ echo "$as_me:16001: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
@@ -16015,11 +16054,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:16018: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:16057: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:16022: \$? = $ac_status" >&5
+ echo "$as_me:16061: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -18071,11 +18110,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:18074: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:18113: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:18078: \$? = $ac_status" >&5
+ echo "$as_me:18117: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
@@ -18326,11 +18365,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:18329: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:18368: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:18333: \$? = $ac_status" >&5
+ echo "$as_me:18372: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
@@ -18386,11 +18425,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:18389: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:18428: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:18393: \$? = $ac_status" >&5
+ echo "$as_me:18432: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -20658,7 +20697,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 20661 "configure"
+#line 20700 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -20756,7 +20795,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 20759 "configure"
+#line 20798 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -51206,6 +51245,13 @@ echo "$as_me: error: conditional \"am__fastdepCXX\" was never defined.
Usually this means the macro was only invoked conditionally." >&2;}
{ (exit 1); exit 1; }; }
fi
+if test -z "${FORTRAN_SHARED_CONDITIONAL_TRUE}" && test -z "${FORTRAN_SHARED_CONDITIONAL_FALSE}"; then
+ { { echo "$as_me:$LINENO: error: conditional \"FORTRAN_SHARED_CONDITIONAL\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"FORTRAN_SHARED_CONDITIONAL\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+ { (exit 1); exit 1; }; }
+fi
if test -z "${BUILD_PDB2HDF_CONDITIONAL_TRUE}" && test -z "${BUILD_PDB2HDF_CONDITIONAL_FALSE}"; then
{ { echo "$as_me:$LINENO: error: conditional \"BUILD_PDB2HDF_CONDITIONAL\" was never defined.
Usually this means the macro was only invoked conditionally." >&5
@@ -51902,6 +51948,8 @@ s,@CXXCPP@,$CXXCPP,;t t
s,@LT_STATIC_EXEC@,$LT_STATIC_EXEC,;t t
s,@PERL@,$PERL,;t t
s,@AR@,$AR,;t t
+s,@FORTRAN_SHARED_CONDITIONAL_TRUE@,$FORTRAN_SHARED_CONDITIONAL_TRUE,;t t
+s,@FORTRAN_SHARED_CONDITIONAL_FALSE@,$FORTRAN_SHARED_CONDITIONAL_FALSE,;t t
s,@EGREP@,$EGREP,;t t
s,@LN_S@,$LN_S,;t t
s,@ECHO@,$ECHO,;t t
diff --git a/configure.in b/configure.in
index 7216b8e..9f059b9 100644
--- a/configure.in
+++ b/configure.in
@@ -504,20 +504,56 @@ dnl As of Libtool 1.5.14, libtool officially doesn't know how to create
dnl shared libraries with pgcc. In fact, it is able to do so on some
dnl platforms, but not all (e.g., pgcc 5.2-4 on mir).
dnl Disable shared libraries when using pgcc. -JL 09/2005
-if (${CC-cc} -V 2>&1 | grep '^pgcc') > /dev/null; then
+if test "X${enable_shared}" != "Xno" && \
+ (${CC-cc} -V 2>&1 | grep '^pgcc') > /dev/null; then
echo ' warning: shared libraries are not supported for pgcc!'
echo ' disabling shared libraries'
enable_shared="no"
fi
-dnl A similar problem seems to exist for pgf90 version 6.0-4.
-if test "X$HDF_FORTRAN" = "Xyes" && \
- (${FC} -V 2>&1 | grep '^pgf90') > /dev/null; then
- echo ' warning: shared libraries are not supported for pgf90!'
- echo ' disabling shared libraries'
- enable_shared="no"
+dnl ----------------------------------------------------------------------
+dnl Many Fortran compilers don't support shared libraries. Some of these
+dnl compilers include:
+dnl pgf90 version 6.0-4
+dnl Absoft 32bit Fortran 95 9.0
+dnl HP F90 v2.4
+dnl Intel Fortran Compiler 8.1
+dnl If any of these compilers is being used, disable shared libraries for
+dnl Fortran.
+if test "X${HDF_FORTRAN}" = "Xyes" && test "X${enable_shared}" != "Xno"; then
+ H5_FORTRAN_SHARED="yes"
+
+ if (${FC} -V 2>&1 | grep '^pgf90') > /dev/null; then
+ echo " warning: shared libraries are not supported for pgf90!"
+ echo " disabling shared Fortran libraries"
+ H5_FORTRAN_SHARED="no"
+ fi
+
+ if (${FC} -V 2>&1 | grep '^Intel(R) Fortran Compiler') > /dev/null; then
+ echo " warning: shared libraries are not supported for ifort!"
+ echo " disabling shared Fortran libraries"
+ H5_FORTRAN_SHARED="no"
+ fi
+
+ if (${FC} +version 2>&1 | grep '^HP F90') > /dev/null; then
+ echo " warning: shared libraries are not supported for f90!"
+ echo " disabling shared Fortran libraries"
+ H5_FORTRAN_SHARED="no"
+ fi
+
+ if (${FC} -V 2>&1 | grep '^Absoft') > /dev/null; then
+ echo " warning: shared libraries are not supported for Absoft f95!"
+ echo " disabling shared Fortran libraries"
+ H5_FORTRAN_SHARED="no"
+ fi
+
+ if test "X${enable_static}" = "Xno" && test "X${H5_FORTRAN_SHARED}" = "Xno"; then
+ AC_MSG_ERROR([both static and shared Fortran libraries are disabled])
+ fi
fi
+AM_CONDITIONAL([FORTRAN_SHARED_CONDITIONAL], [test "X$H5_FORTRAN_SHARED" = "Xyes"])
+
dnl ----------------------------------------------------------------------
dnl pgcc version 6.0x have optimization (-O, -O2 or -O3) problem. Detect
dnl these versions and add option "-Mx,28,0x8" to the compiler to avoid
diff --git a/examples/Makefile.in b/examples/Makefile.in
index 10bf6e7..cd51936 100644
--- a/examples/Makefile.in
+++ b/examples/Makefile.in
@@ -128,6 +128,8 @@ FCFLAGS = @FCFLAGS@
FCLIBS = @FCLIBS@
FFLAGS = @FFLAGS@
FILTERS = @FILTERS@
+FORTRAN_SHARED_CONDITIONAL_FALSE = @FORTRAN_SHARED_CONDITIONAL_FALSE@
+FORTRAN_SHARED_CONDITIONAL_TRUE = @FORTRAN_SHARED_CONDITIONAL_TRUE@
FSEARCH_DIRS = @FSEARCH_DIRS@
H5_VERSION = @H5_VERSION@
HADDR_T = @HADDR_T@
diff --git a/fortran/Makefile.in b/fortran/Makefile.in
index ab70f03..2a816b4 100644
--- a/fortran/Makefile.in
+++ b/fortran/Makefile.in
@@ -140,6 +140,8 @@ FCFLAGS = @FCFLAGS@
FCLIBS = @FCLIBS@
FFLAGS = @FFLAGS@
FILTERS = @FILTERS@
+FORTRAN_SHARED_CONDITIONAL_FALSE = @FORTRAN_SHARED_CONDITIONAL_FALSE@
+FORTRAN_SHARED_CONDITIONAL_TRUE = @FORTRAN_SHARED_CONDITIONAL_TRUE@
FSEARCH_DIRS = @FSEARCH_DIRS@
H5_VERSION = @H5_VERSION@
HADDR_T = @HADDR_T@
diff --git a/fortran/examples/Makefile.in b/fortran/examples/Makefile.in
index 82199b9..61eb63d 100644
--- a/fortran/examples/Makefile.in
+++ b/fortran/examples/Makefile.in
@@ -128,6 +128,8 @@ FCFLAGS = @FCFLAGS@
FCLIBS = @FCLIBS@
FFLAGS = @FFLAGS@
FILTERS = @FILTERS@
+FORTRAN_SHARED_CONDITIONAL_FALSE = @FORTRAN_SHARED_CONDITIONAL_FALSE@
+FORTRAN_SHARED_CONDITIONAL_TRUE = @FORTRAN_SHARED_CONDITIONAL_TRUE@
FSEARCH_DIRS = @FSEARCH_DIRS@
H5_VERSION = @H5_VERSION@
HADDR_T = @HADDR_T@
diff --git a/fortran/src/Makefile.am b/fortran/src/Makefile.am
index 9b83a9d..266186f 100644
--- a/fortran/src/Makefile.am
+++ b/fortran/src/Makefile.am
@@ -29,6 +29,14 @@ AM_FCLIBS=$(LIBHDF5)
# This is our main target, the fortran library
lib_LTLIBRARIES=libhdf5_fortran.la
+# Some Fortran compilers can't build shared libraries, so sometimes we
+# want to build a shared C library and a static Fortran library. If so,
+# pass the -static flag to the library linker.
+if FORTRAN_SHARED_CONDITIONAL
+else
+ AM_LDFLAGS=-static
+endif
+
# Include HDF5.f90 if parallel is disabled, HDF5mpiof* if parallel is enabled
if BUILD_PARALLEL_CONDITIONAL
PARALLEL_COND_SRC = H5FDmpiof.c HDF5mpio.f90 H5FDmpioff.f90
diff --git a/fortran/src/Makefile.in b/fortran/src/Makefile.in
index ab6fb9a..e9d5390 100644
--- a/fortran/src/Makefile.in
+++ b/fortran/src/Makefile.in
@@ -195,6 +195,8 @@ FCFLAGS = @FCFLAGS@
FCLIBS = @FCLIBS@
FFLAGS = @FFLAGS@
FILTERS = @FILTERS@
+FORTRAN_SHARED_CONDITIONAL_FALSE = @FORTRAN_SHARED_CONDITIONAL_FALSE@
+FORTRAN_SHARED_CONDITIONAL_TRUE = @FORTRAN_SHARED_CONDITIONAL_TRUE@
FSEARCH_DIRS = @FSEARCH_DIRS@
H5_VERSION = @H5_VERSION@
HADDR_T = @HADDR_T@
@@ -352,6 +354,11 @@ AM_FCLIBS = $(LIBHDF5)
# This is our main target, the fortran library
lib_LTLIBRARIES = libhdf5_fortran.la
+
+# Some Fortran compilers can't build shared libraries, so sometimes we
+# want to build a shared C library and a static Fortran library. If so,
+# pass the -static flag to the library linker.
+@FORTRAN_SHARED_CONDITIONAL_FALSE@AM_LDFLAGS = -static
@BUILD_PARALLEL_CONDITIONAL_FALSE@PARALLEL_COND_SRC = HDF5.f90
# Include HDF5.f90 if parallel is disabled, HDF5mpiof* if parallel is enabled
diff --git a/fortran/test/Makefile.am b/fortran/test/Makefile.am
index 079119e..5301b90 100644
--- a/fortran/test/Makefile.am
+++ b/fortran/test/Makefile.am
@@ -26,6 +26,14 @@ INCLUDES=-I$(top_srcdir)/src -I$(top_builddir)/fortran/src
# The Fortran test library
noinst_LTLIBRARIES=libh5test_fortran.la
+# Some Fortran compilers can't build shared libraries, so sometimes we
+# want to build a shared C library and a static Fortran library. If so,
+# pass the -static flag to the library linker.
+if FORTRAN_SHARED_CONDITIONAL
+else
+ AM_LDFLAGS=-static
+endif
+
# Our main targets, the tests themselves
TEST_PROG=fortranlib_test fflush1 fflush2
check_PROGRAMS=$(TEST_PROG)
diff --git a/fortran/test/Makefile.in b/fortran/test/Makefile.in
index ad8b493..7ac0e8c 100644
--- a/fortran/test/Makefile.in
+++ b/fortran/test/Makefile.in
@@ -189,6 +189,8 @@ FCFLAGS = @FCFLAGS@
FCLIBS = @FCLIBS@
FFLAGS = @FFLAGS@
FILTERS = @FILTERS@
+FORTRAN_SHARED_CONDITIONAL_FALSE = @FORTRAN_SHARED_CONDITIONAL_FALSE@
+FORTRAN_SHARED_CONDITIONAL_TRUE = @FORTRAN_SHARED_CONDITIONAL_TRUE@
FSEARCH_DIRS = @FSEARCH_DIRS@
H5_VERSION = @H5_VERSION@
HADDR_T = @HADDR_T@
@@ -347,6 +349,11 @@ INCLUDES = -I$(top_srcdir)/src -I$(top_builddir)/fortran/src
# The Fortran test library
noinst_LTLIBRARIES = libh5test_fortran.la
+# Some Fortran compilers can't build shared libraries, so sometimes we
+# want to build a shared C library and a static Fortran library. If so,
+# pass the -static flag to the library linker.
+@FORTRAN_SHARED_CONDITIONAL_FALSE@AM_LDFLAGS = -static
+
# Our main targets, the tests themselves
TEST_PROG = fortranlib_test fflush1 fflush2
libh5test_fortran_la_SOURCES = fortranlib_test.f90 tH5F.f90 tH5D.f90 \
diff --git a/fortran/testpar/Makefile.in b/fortran/testpar/Makefile.in
index a071ffd..6724b8c 100644
--- a/fortran/testpar/Makefile.in
+++ b/fortran/testpar/Makefile.in
@@ -152,6 +152,8 @@ FCFLAGS = @FCFLAGS@
FCLIBS = @FCLIBS@
FFLAGS = @FFLAGS@
FILTERS = @FILTERS@
+FORTRAN_SHARED_CONDITIONAL_FALSE = @FORTRAN_SHARED_CONDITIONAL_FALSE@
+FORTRAN_SHARED_CONDITIONAL_TRUE = @FORTRAN_SHARED_CONDITIONAL_TRUE@
FSEARCH_DIRS = @FSEARCH_DIRS@
H5_VERSION = @H5_VERSION@
HADDR_T = @HADDR_T@
diff --git a/hl/Makefile.in b/hl/Makefile.in
index 7243ca5..5f0bfc5 100755
--- a/hl/Makefile.in
+++ b/hl/Makefile.in
@@ -132,6 +132,8 @@ FCFLAGS = @FCFLAGS@
FCLIBS = @FCLIBS@
FFLAGS = @FFLAGS@
FILTERS = @FILTERS@
+FORTRAN_SHARED_CONDITIONAL_FALSE = @FORTRAN_SHARED_CONDITIONAL_FALSE@
+FORTRAN_SHARED_CONDITIONAL_TRUE = @FORTRAN_SHARED_CONDITIONAL_TRUE@
FSEARCH_DIRS = @FSEARCH_DIRS@
H5_VERSION = @H5_VERSION@
HADDR_T = @HADDR_T@
diff --git a/hl/c++/Makefile.in b/hl/c++/Makefile.in
index 39e0faf..debf475 100644
--- a/hl/c++/Makefile.in
+++ b/hl/c++/Makefile.in
@@ -137,6 +137,8 @@ FCFLAGS = @FCFLAGS@
FCLIBS = @FCLIBS@
FFLAGS = @FFLAGS@
FILTERS = @FILTERS@
+FORTRAN_SHARED_CONDITIONAL_FALSE = @FORTRAN_SHARED_CONDITIONAL_FALSE@
+FORTRAN_SHARED_CONDITIONAL_TRUE = @FORTRAN_SHARED_CONDITIONAL_TRUE@
FSEARCH_DIRS = @FSEARCH_DIRS@
H5_VERSION = @H5_VERSION@
HADDR_T = @HADDR_T@
diff --git a/hl/c++/src/Makefile.in b/hl/c++/src/Makefile.in
index 40abb97..ad39496 100644
--- a/hl/c++/src/Makefile.in
+++ b/hl/c++/src/Makefile.in
@@ -159,6 +159,8 @@ FCFLAGS = @FCFLAGS@
FCLIBS = @FCLIBS@
FFLAGS = @FFLAGS@
FILTERS = @FILTERS@
+FORTRAN_SHARED_CONDITIONAL_FALSE = @FORTRAN_SHARED_CONDITIONAL_FALSE@
+FORTRAN_SHARED_CONDITIONAL_TRUE = @FORTRAN_SHARED_CONDITIONAL_TRUE@
FSEARCH_DIRS = @FSEARCH_DIRS@
H5_VERSION = @H5_VERSION@
HADDR_T = @HADDR_T@
diff --git a/hl/c++/test/Makefile.in b/hl/c++/test/Makefile.in
index e50d5cd..6b544f9 100644
--- a/hl/c++/test/Makefile.in
+++ b/hl/c++/test/Makefile.in
@@ -153,6 +153,8 @@ FCFLAGS = @FCFLAGS@
FCLIBS = @FCLIBS@
FFLAGS = @FFLAGS@
FILTERS = @FILTERS@
+FORTRAN_SHARED_CONDITIONAL_FALSE = @FORTRAN_SHARED_CONDITIONAL_FALSE@
+FORTRAN_SHARED_CONDITIONAL_TRUE = @FORTRAN_SHARED_CONDITIONAL_TRUE@
FSEARCH_DIRS = @FSEARCH_DIRS@
H5_VERSION = @H5_VERSION@
HADDR_T = @HADDR_T@
diff --git a/hl/fortran/Makefile.in b/hl/fortran/Makefile.in
index 33a7aa2..4c8a289 100644
--- a/hl/fortran/Makefile.in
+++ b/hl/fortran/Makefile.in
@@ -132,6 +132,8 @@ FCFLAGS = @FCFLAGS@
FCLIBS = @FCLIBS@
FFLAGS = @FFLAGS@
FILTERS = @FILTERS@
+FORTRAN_SHARED_CONDITIONAL_FALSE = @FORTRAN_SHARED_CONDITIONAL_FALSE@
+FORTRAN_SHARED_CONDITIONAL_TRUE = @FORTRAN_SHARED_CONDITIONAL_TRUE@
FSEARCH_DIRS = @FSEARCH_DIRS@
H5_VERSION = @H5_VERSION@
HADDR_T = @HADDR_T@
diff --git a/hl/fortran/src/Makefile.am b/hl/fortran/src/Makefile.am
index 2222f90..8c77c9b 100644
--- a/hl/fortran/src/Makefile.am
+++ b/hl/fortran/src/Makefile.am
@@ -18,6 +18,14 @@ AM_FCFLAGS=-I$(top_builddir)/fortran/src $(F9XMODFLAG)$(top_builddir)/fortran/sr
# Our main target, the high-level fortran library
lib_LTLIBRARIES=libhdf5hl_fortran.la
+# Some Fortran compilers can't build shared libraries, so sometimes we
+# want to build a shared C library and a static Fortran library. If so,
+# pass the -static flag to the library linker.
+if FORTRAN_SHARED_CONDITIONAL
+else
+ AM_LDFLAGS=-static
+endif
+
# Source files for the library
#if BUILD_PARALLEL_CONDITIONAL
# PARALLEL_COND_SRC=HDFDmpiof.c HDF5mpio.f90
diff --git a/hl/fortran/src/Makefile.in b/hl/fortran/src/Makefile.in
index 09209f8..206428c 100644
--- a/hl/fortran/src/Makefile.in
+++ b/hl/fortran/src/Makefile.in
@@ -153,6 +153,8 @@ FCFLAGS = @FCFLAGS@
FCLIBS = @FCLIBS@
FFLAGS = @FFLAGS@
FILTERS = @FILTERS@
+FORTRAN_SHARED_CONDITIONAL_FALSE = @FORTRAN_SHARED_CONDITIONAL_FALSE@
+FORTRAN_SHARED_CONDITIONAL_TRUE = @FORTRAN_SHARED_CONDITIONAL_TRUE@
FSEARCH_DIRS = @FSEARCH_DIRS@
H5_VERSION = @H5_VERSION@
HADDR_T = @HADDR_T@
@@ -309,6 +311,11 @@ AM_FCFLAGS = -I$(top_builddir)/fortran/src $(F9XMODFLAG)$(top_builddir)/fortran/
# Our main target, the high-level fortran library
lib_LTLIBRARIES = libhdf5hl_fortran.la
+# Some Fortran compilers can't build shared libraries, so sometimes we
+# want to build a shared C library and a static Fortran library. If so,
+# pass the -static flag to the library linker.
+@FORTRAN_SHARED_CONDITIONAL_FALSE@AM_LDFLAGS = -static
+
# Source files for the library
#if BUILD_PARALLEL_CONDITIONAL
# PARALLEL_COND_SRC=HDFDmpiof.c HDF5mpio.f90
diff --git a/hl/fortran/test/Makefile.am b/hl/fortran/test/Makefile.am
index 865e91e..a04041b 100644
--- a/hl/fortran/test/Makefile.am
+++ b/hl/fortran/test/Makefile.am
@@ -14,6 +14,14 @@ include $(top_srcdir)/config/commence.am
AM_CPPFLAGS=-I$(top_srcdir)/src -I$(top_builddir)/src -I$(top_srcdir)/hl/src
AM_FCFLAGS=-I$(top_builddir)/fortran/src -I$(top_builddir)/hl/fortran/src $(F9XMODFLAG)$(top_builddir)/fortran/src $(F9XMODFLAG)$(top_builddir)/hl/fortran/src
+# Some Fortran compilers can't build shared libraries, so sometimes we
+# need to make sure the Fortran programs link against the static version
+# of the HDF5 library. We do this by passing the -static flag to the linker.
+if FORTRAN_SHARED_CONDITIONAL
+else
+ AM_LDFLAGS=-static
+endif
+
# Our main target, the test programs
TEST_PROG=tstlite tstimage tsttable
check_PROGRAMS=$(TEST_PROG)
diff --git a/hl/fortran/test/Makefile.in b/hl/fortran/test/Makefile.in
index 93ec1ea..e820541 100644
--- a/hl/fortran/test/Makefile.in
+++ b/hl/fortran/test/Makefile.in
@@ -152,6 +152,8 @@ FCFLAGS = @FCFLAGS@
FCLIBS = @FCLIBS@
FFLAGS = @FFLAGS@
FILTERS = @FILTERS@
+FORTRAN_SHARED_CONDITIONAL_FALSE = @FORTRAN_SHARED_CONDITIONAL_FALSE@
+FORTRAN_SHARED_CONDITIONAL_TRUE = @FORTRAN_SHARED_CONDITIONAL_TRUE@
FSEARCH_DIRS = @FSEARCH_DIRS@
H5_VERSION = @H5_VERSION@
HADDR_T = @HADDR_T@
@@ -306,6 +308,11 @@ CHECK_CLEANFILES = *.chkexe *.chklog *.clog dsetf[1-4].h5 f1img.h5 \
AM_CPPFLAGS = -I$(top_srcdir)/src -I$(top_builddir)/src -I$(top_srcdir)/hl/src
AM_FCFLAGS = -I$(top_builddir)/fortran/src -I$(top_builddir)/hl/fortran/src $(F9XMODFLAG)$(top_builddir)/fortran/src $(F9XMODFLAG)$(top_builddir)/hl/fortran/src
+# Some Fortran compilers can't build shared libraries, so sometimes we
+# need to make sure the Fortran programs link against the static version
+# of the HDF5 library. We do this by passing the -static flag to the linker.
+@FORTRAN_SHARED_CONDITIONAL_FALSE@AM_LDFLAGS = -static
+
# Our main target, the test programs
TEST_PROG = tstlite tstimage tsttable
LDADD = $(LIBH5F_HL) $(LIBH5F) $(LIBH5_HL) $(LIBHDF5)
diff --git a/hl/src/Makefile.in b/hl/src/Makefile.in
index 55b8381..a50e581 100644
--- a/hl/src/Makefile.in
+++ b/hl/src/Makefile.in
@@ -150,6 +150,8 @@ FCFLAGS = @FCFLAGS@
FCLIBS = @FCLIBS@
FFLAGS = @FFLAGS@
FILTERS = @FILTERS@
+FORTRAN_SHARED_CONDITIONAL_FALSE = @FORTRAN_SHARED_CONDITIONAL_FALSE@
+FORTRAN_SHARED_CONDITIONAL_TRUE = @FORTRAN_SHARED_CONDITIONAL_TRUE@
FSEARCH_DIRS = @FSEARCH_DIRS@
H5_VERSION = @H5_VERSION@
HADDR_T = @HADDR_T@
diff --git a/hl/test/Makefile.in b/hl/test/Makefile.in
index cc1f609..09b9779 100644
--- a/hl/test/Makefile.in
+++ b/hl/test/Makefile.in
@@ -162,6 +162,8 @@ FCFLAGS = @FCFLAGS@
FCLIBS = @FCLIBS@
FFLAGS = @FFLAGS@
FILTERS = @FILTERS@
+FORTRAN_SHARED_CONDITIONAL_FALSE = @FORTRAN_SHARED_CONDITIONAL_FALSE@
+FORTRAN_SHARED_CONDITIONAL_TRUE = @FORTRAN_SHARED_CONDITIONAL_TRUE@
FSEARCH_DIRS = @FSEARCH_DIRS@
H5_VERSION = @H5_VERSION@
HADDR_T = @HADDR_T@
diff --git a/hl/tools/gif2h5/Makefile.in b/hl/tools/gif2h5/Makefile.in
index 29ad6ee..9f3aff2 100644
--- a/hl/tools/gif2h5/Makefile.in
+++ b/hl/tools/gif2h5/Makefile.in
@@ -160,6 +160,8 @@ FCFLAGS = @FCFLAGS@
FCLIBS = @FCLIBS@
FFLAGS = @FFLAGS@
FILTERS = @FILTERS@
+FORTRAN_SHARED_CONDITIONAL_FALSE = @FORTRAN_SHARED_CONDITIONAL_FALSE@
+FORTRAN_SHARED_CONDITIONAL_TRUE = @FORTRAN_SHARED_CONDITIONAL_TRUE@
FSEARCH_DIRS = @FSEARCH_DIRS@
H5_VERSION = @H5_VERSION@
HADDR_T = @HADDR_T@
diff --git a/perform/Makefile.in b/perform/Makefile.in
index 50a7026..a5ec515 100644
--- a/perform/Makefile.in
+++ b/perform/Makefile.in
@@ -183,6 +183,8 @@ FCFLAGS = @FCFLAGS@
FCLIBS = @FCLIBS@
FFLAGS = @FFLAGS@
FILTERS = @FILTERS@
+FORTRAN_SHARED_CONDITIONAL_FALSE = @FORTRAN_SHARED_CONDITIONAL_FALSE@
+FORTRAN_SHARED_CONDITIONAL_TRUE = @FORTRAN_SHARED_CONDITIONAL_TRUE@
FSEARCH_DIRS = @FSEARCH_DIRS@
H5_VERSION = @H5_VERSION@
HADDR_T = @HADDR_T@
diff --git a/src/Makefile.in b/src/Makefile.in
index 8049051..770a074 100644
--- a/src/Makefile.in
+++ b/src/Makefile.in
@@ -196,6 +196,8 @@ FCFLAGS = @FCFLAGS@
FCLIBS = @FCLIBS@
FFLAGS = @FFLAGS@
FILTERS = @FILTERS@
+FORTRAN_SHARED_CONDITIONAL_FALSE = @FORTRAN_SHARED_CONDITIONAL_FALSE@
+FORTRAN_SHARED_CONDITIONAL_TRUE = @FORTRAN_SHARED_CONDITIONAL_TRUE@
FSEARCH_DIRS = @FSEARCH_DIRS@
H5_VERSION = @H5_VERSION@
HADDR_T = @HADDR_T@
@@ -347,8 +349,8 @@ CHECK_CLEANFILES = *.chkexe *.chklog *.clog
# Add libtool shared library version numbers to the HDF5 library
# See libtool versioning documentation online.
-LT_VERS_INTERFACE = 2
-LT_VERS_REVISION = 4
+LT_VERS_INTERFACE = 3
+LT_VERS_REVISION = 0
LT_VERS_AGE = 2
H5detect_CFLAGS = -g
diff --git a/test/Makefile.in b/test/Makefile.in
index e2e7a46..d3c6ce3 100644
--- a/test/Makefile.in
+++ b/test/Makefile.in
@@ -350,6 +350,8 @@ FCFLAGS = @FCFLAGS@
FCLIBS = @FCLIBS@
FFLAGS = @FFLAGS@
FILTERS = @FILTERS@
+FORTRAN_SHARED_CONDITIONAL_FALSE = @FORTRAN_SHARED_CONDITIONAL_FALSE@
+FORTRAN_SHARED_CONDITIONAL_TRUE = @FORTRAN_SHARED_CONDITIONAL_TRUE@
FSEARCH_DIRS = @FSEARCH_DIRS@
H5_VERSION = @H5_VERSION@
HADDR_T = @HADDR_T@
diff --git a/testpar/Makefile.in b/testpar/Makefile.in
index 474ee26..9c64bbb 100644
--- a/testpar/Makefile.in
+++ b/testpar/Makefile.in
@@ -162,6 +162,8 @@ FCFLAGS = @FCFLAGS@
FCLIBS = @FCLIBS@
FFLAGS = @FFLAGS@
FILTERS = @FILTERS@
+FORTRAN_SHARED_CONDITIONAL_FALSE = @FORTRAN_SHARED_CONDITIONAL_FALSE@
+FORTRAN_SHARED_CONDITIONAL_TRUE = @FORTRAN_SHARED_CONDITIONAL_TRUE@
FSEARCH_DIRS = @FSEARCH_DIRS@
H5_VERSION = @H5_VERSION@
HADDR_T = @HADDR_T@
diff --git a/tools/Makefile.in b/tools/Makefile.in
index 6a18ea0..376d14a 100644
--- a/tools/Makefile.in
+++ b/tools/Makefile.in
@@ -137,6 +137,8 @@ FCFLAGS = @FCFLAGS@
FCLIBS = @FCLIBS@
FFLAGS = @FFLAGS@
FILTERS = @FILTERS@
+FORTRAN_SHARED_CONDITIONAL_FALSE = @FORTRAN_SHARED_CONDITIONAL_FALSE@
+FORTRAN_SHARED_CONDITIONAL_TRUE = @FORTRAN_SHARED_CONDITIONAL_TRUE@
FSEARCH_DIRS = @FSEARCH_DIRS@
H5_VERSION = @H5_VERSION@
HADDR_T = @HADDR_T@
diff --git a/tools/gifconv/Makefile.in b/tools/gifconv/Makefile.in
index 29ad6ee..9f3aff2 100644
--- a/tools/gifconv/Makefile.in
+++ b/tools/gifconv/Makefile.in
@@ -160,6 +160,8 @@ FCFLAGS = @FCFLAGS@
FCLIBS = @FCLIBS@
FFLAGS = @FFLAGS@
FILTERS = @FILTERS@
+FORTRAN_SHARED_CONDITIONAL_FALSE = @FORTRAN_SHARED_CONDITIONAL_FALSE@
+FORTRAN_SHARED_CONDITIONAL_TRUE = @FORTRAN_SHARED_CONDITIONAL_TRUE@
FSEARCH_DIRS = @FSEARCH_DIRS@
H5_VERSION = @H5_VERSION@
HADDR_T = @HADDR_T@
diff --git a/tools/h5diff/Makefile.in b/tools/h5diff/Makefile.in
index 003a92f..56ca8ca 100644
--- a/tools/h5diff/Makefile.in
+++ b/tools/h5diff/Makefile.in
@@ -168,6 +168,8 @@ FCFLAGS = @FCFLAGS@
FCLIBS = @FCLIBS@
FFLAGS = @FFLAGS@
FILTERS = @FILTERS@
+FORTRAN_SHARED_CONDITIONAL_FALSE = @FORTRAN_SHARED_CONDITIONAL_FALSE@
+FORTRAN_SHARED_CONDITIONAL_TRUE = @FORTRAN_SHARED_CONDITIONAL_TRUE@
FSEARCH_DIRS = @FSEARCH_DIRS@
H5_VERSION = @H5_VERSION@
HADDR_T = @HADDR_T@
diff --git a/tools/h5dump/Makefile.in b/tools/h5dump/Makefile.in
index 27fc54c..de67f97 100644
--- a/tools/h5dump/Makefile.in
+++ b/tools/h5dump/Makefile.in
@@ -161,6 +161,8 @@ FCFLAGS = @FCFLAGS@
FCLIBS = @FCLIBS@
FFLAGS = @FFLAGS@
FILTERS = @FILTERS@
+FORTRAN_SHARED_CONDITIONAL_FALSE = @FORTRAN_SHARED_CONDITIONAL_FALSE@
+FORTRAN_SHARED_CONDITIONAL_TRUE = @FORTRAN_SHARED_CONDITIONAL_TRUE@
FSEARCH_DIRS = @FSEARCH_DIRS@
H5_VERSION = @H5_VERSION@
HADDR_T = @HADDR_T@
diff --git a/tools/h5import/Makefile.in b/tools/h5import/Makefile.in
index bd016a1..3048fe8 100755
--- a/tools/h5import/Makefile.in
+++ b/tools/h5import/Makefile.in
@@ -161,6 +161,8 @@ FCFLAGS = @FCFLAGS@
FCLIBS = @FCLIBS@
FFLAGS = @FFLAGS@
FILTERS = @FILTERS@
+FORTRAN_SHARED_CONDITIONAL_FALSE = @FORTRAN_SHARED_CONDITIONAL_FALSE@
+FORTRAN_SHARED_CONDITIONAL_TRUE = @FORTRAN_SHARED_CONDITIONAL_TRUE@
FSEARCH_DIRS = @FSEARCH_DIRS@
H5_VERSION = @H5_VERSION@
HADDR_T = @HADDR_T@
diff --git a/tools/h5jam/Makefile.in b/tools/h5jam/Makefile.in
index 3055f2f..9538064 100644
--- a/tools/h5jam/Makefile.in
+++ b/tools/h5jam/Makefile.in
@@ -156,6 +156,8 @@ FCFLAGS = @FCFLAGS@
FCLIBS = @FCLIBS@
FFLAGS = @FFLAGS@
FILTERS = @FILTERS@
+FORTRAN_SHARED_CONDITIONAL_FALSE = @FORTRAN_SHARED_CONDITIONAL_FALSE@
+FORTRAN_SHARED_CONDITIONAL_TRUE = @FORTRAN_SHARED_CONDITIONAL_TRUE@
FSEARCH_DIRS = @FSEARCH_DIRS@
H5_VERSION = @H5_VERSION@
HADDR_T = @HADDR_T@
diff --git a/tools/h5ls/Makefile.in b/tools/h5ls/Makefile.in
index 1e04b32..13cf260 100644
--- a/tools/h5ls/Makefile.in
+++ b/tools/h5ls/Makefile.in
@@ -154,6 +154,8 @@ FCFLAGS = @FCFLAGS@
FCLIBS = @FCLIBS@
FFLAGS = @FFLAGS@
FILTERS = @FILTERS@
+FORTRAN_SHARED_CONDITIONAL_FALSE = @FORTRAN_SHARED_CONDITIONAL_FALSE@
+FORTRAN_SHARED_CONDITIONAL_TRUE = @FORTRAN_SHARED_CONDITIONAL_TRUE@
FSEARCH_DIRS = @FSEARCH_DIRS@
H5_VERSION = @H5_VERSION@
HADDR_T = @HADDR_T@
diff --git a/tools/h5repack/Makefile.in b/tools/h5repack/Makefile.in
index 7886251..296fbc2 100644
--- a/tools/h5repack/Makefile.in
+++ b/tools/h5repack/Makefile.in
@@ -176,6 +176,8 @@ FCFLAGS = @FCFLAGS@
FCLIBS = @FCLIBS@
FFLAGS = @FFLAGS@
FILTERS = @FILTERS@
+FORTRAN_SHARED_CONDITIONAL_FALSE = @FORTRAN_SHARED_CONDITIONAL_FALSE@
+FORTRAN_SHARED_CONDITIONAL_TRUE = @FORTRAN_SHARED_CONDITIONAL_TRUE@
FSEARCH_DIRS = @FSEARCH_DIRS@
H5_VERSION = @H5_VERSION@
HADDR_T = @HADDR_T@
diff --git a/tools/lib/Makefile.in b/tools/lib/Makefile.in
index 6caef69..d273ff7 100644
--- a/tools/lib/Makefile.in
+++ b/tools/lib/Makefile.in
@@ -158,6 +158,8 @@ FCFLAGS = @FCFLAGS@
FCLIBS = @FCLIBS@
FFLAGS = @FFLAGS@
FILTERS = @FILTERS@
+FORTRAN_SHARED_CONDITIONAL_FALSE = @FORTRAN_SHARED_CONDITIONAL_FALSE@
+FORTRAN_SHARED_CONDITIONAL_TRUE = @FORTRAN_SHARED_CONDITIONAL_TRUE@
FSEARCH_DIRS = @FSEARCH_DIRS@
H5_VERSION = @H5_VERSION@
HADDR_T = @HADDR_T@
diff --git a/tools/misc/Makefile.in b/tools/misc/Makefile.in
index 10f0593..239785d 100644
--- a/tools/misc/Makefile.in
+++ b/tools/misc/Makefile.in
@@ -180,6 +180,8 @@ FCFLAGS = @FCFLAGS@
FCLIBS = @FCLIBS@
FFLAGS = @FFLAGS@
FILTERS = @FILTERS@
+FORTRAN_SHARED_CONDITIONAL_FALSE = @FORTRAN_SHARED_CONDITIONAL_FALSE@
+FORTRAN_SHARED_CONDITIONAL_TRUE = @FORTRAN_SHARED_CONDITIONAL_TRUE@
FSEARCH_DIRS = @FSEARCH_DIRS@
H5_VERSION = @H5_VERSION@
HADDR_T = @HADDR_T@